//---------------------------------------------------------------------------

#ifndef Demo_H
#define Demo_H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "VidGrab.hpp"
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:
        TGroupBox *GroupBox1;
        TLabel *Label9;
        TLabel *Label7;
        TLabel *Label13;
        TLabel *Label11;
        TLabel *Label1;
        TLabel *Label6;
        TLabel *Label16;
        TButton *Button1;
        TButton *Button2;
        TRadioGroup *RadioGroup3;
        TEdit *Edit2;
        TRadioGroup *RadioGroup1;
        TEdit *Edit4;
        TRadioGroup *RadioGroup7;
        TComboBox *ComboBox6;
        TEdit *Edit5;
        TEdit *Edit7;
        TComboBox *ComboBox5;
        TButton *Button4;
        TGroupBox *GroupBox4;
        TLabel *Label10;
        TEdit *Edit3;
        TCheckBox *CheckBox7;
        TCheckBox *CheckBox8;
        TGroupBox *GroupBox3;
        TLabel *Label14;
        TLabel *Label3;
        TLabel *Label15;
        TLabel *Label12;
        TButton *Button5;
        TButton *Button6;
        TButton *Button7;
        TEdit *Edit6;
        TEdit *Edit9;
        TCheckBox *CheckBox10;
        TCheckBox *CheckBox9;
        TGroupBox *GroupBox5;
        TLabel *Label5;
        TButton *Button11;
        TComboBox *ComboBox3;
        TComboBox *ComboBox4;
        TGroupBox *GroupBox7;
        TLabel *Label4;
        TLabel *Label2;
        TComboBox *ComboBox2;
        TEdit *Edit1;
        TButton *Button12;
        TRadioGroup *RadioGroup5;
        TRadioGroup *RadioGroup6;
        TRadioGroup *RadioGroup2;
        TCheckBox *CheckBox1;
        TMemo *Memo1;
        TVideoGrabber *VideoGrabber1;
        TGroupBox *GroupBox2;
        TLabel *Label8;
        TSpeedButton *SpeedButton4;
        TSpeedButton *SpeedButton3;
        TSpeedButton *SpeedButton2;
        TSpeedButton *SpeedButton5;
        TSpeedButton *SpeedButton6;
        TSpeedButton *SpeedButton7;
        TSpeedButton *SpeedButton1;
        TEdit *Edit8;
        TUpDown *UpDown1;
        TTrackBar *TrackBar1;
        TGroupBox *GroupBox6;
        TButton *Button8;
        TButton *Button9;
        TOpenDialog *OpenDialog1;
        TCheckBox *CheckBox2;
        TCheckBox *CheckBox3;
        TEdit *Edit10;
        TUpDown *UpDown2;
        TLabel *Label17;
        TCheckBox *CheckBox4;
        TComboBox *ComboBox8;
        TComboBox *ComboBox7;
        TComboBox *ComboBox1;
        TMainMenu *MainMenu1;
        TMenuItem *File1;
        TMenuItem *Exit1;
        TMenuItem *SendDVcommands1;
        TMenuItem *Play1;
        TMenuItem *Stop1;
        TMenuItem *Freeze1;
        TMenuItem *FF1;
        TMenuItem *Rew1;
        TMenuItem *Record1;
        TMenuItem *Recordfreeze1;
        TMenuItem *StepFwd1;
        TMenuItem *StepRev1;
        TMenuItem *Playfastestfwd1;
        TMenuItem *Playslowestfwd1;
        TMenuItem *Playfastestrev1;
        TMenuItem *Playslowestrev1;
        TMenuItem *Options1;
        TMenuItem *RefreshPreviewOnParamChange1;
        TMenuItem *AutoPlayClip1;
        TMenuItem *FrameGrabberEnabled1;
        TMenuItem *FrameGrabberOnCaptureStream1;
        TCheckBox *CheckBox5;
        TButton *Button15;
        TButton *Button14;
        TButton *Button3;
        TButton *Button10;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall Exit1Click(TObject *Sender);
        void __fastcall SendDVCommand(TObject *Sender);
        void __fastcall Button5Click(TObject *Sender);
        void __fastcall Button6Click(TObject *Sender);
        void __fastcall Button7Click(TObject *Sender);
        void __fastcall Edit6Change(TObject *Sender);
        void __fastcall Edit9Change(TObject *Sender);
        void __fastcall CheckBox9Click(TObject *Sender);
        void __fastcall CheckBox10Click(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall RadioGroup7Click(TObject *Sender);
        void __fastcall RadioGroup3Click(TObject *Sender);
        void __fastcall RadioGroup1Click(TObject *Sender);
        void __fastcall ComboBox6Change(TObject *Sender);
        void __fastcall Button4Click(TObject *Sender);
        void __fastcall Edit5Change(TObject *Sender);
        void __fastcall Edit7Change(TObject *Sender);
        void __fastcall ComboBox5Change(TObject *Sender);
        void __fastcall Edit2Change(TObject *Sender);
        void __fastcall Edit3Change(TObject *Sender);
        void __fastcall CheckBox7Click(TObject *Sender);
        void __fastcall CheckBox8Click(TObject *Sender);
        void __fastcall ComboBox3Change(TObject *Sender);
        void __fastcall Button11Click(TObject *Sender);
        void __fastcall ComboBox4Change(TObject *Sender);
        void __fastcall ComboBox2Change(TObject *Sender);
        void __fastcall Button10Click(TObject *Sender);
        void __fastcall Button12Click(TObject *Sender);
        void __fastcall ComboBox1Change(TObject *Sender);
        void __fastcall Button13Click(TObject *Sender);
        void __fastcall RadioGroup2Click(TObject *Sender);
        void __fastcall RadioGroup5Click(TObject *Sender);
        void __fastcall RadioGroup6Click(TObject *Sender);
        void __fastcall CheckBox1Click(TObject *Sender);
        void __fastcall SpeedButton7Click(TObject *Sender);
        void __fastcall SpeedButton1Click(TObject *Sender);
        void __fastcall SpeedButton4Click(TObject *Sender);
        void __fastcall SpeedButton2Click(TObject *Sender);
        void __fastcall SpeedButton3Click(TObject *Sender);
        void __fastcall SpeedButton5Click(TObject *Sender);
        void __fastcall SpeedButton6Click(TObject *Sender);
        void __fastcall UpDown1Click(TObject *Sender, TUDBtnType Button);
        void __fastcall TrackBar1Change(TObject *Sender);
        void __fastcall VideoGrabber1CaptureCompleted(TObject *Sender,
          AnsiString FileName, bool Success);
        void __fastcall VideoGrabber1CaptureProgress(double SampleTime,
          int DeliveredFrames, int DroppedFrames);
        void __fastcall VideoGrabber1CaptureReadyToStart(TObject *Sender,
          bool &OkToStart);
        void __fastcall VideoGrabber1CaptureStarted(TObject *Sender);
        void __fastcall VideoGrabber1ChangeVideoDevice(TObject *Sender);
        void __fastcall VideoGrabber1ComponentLoaded(TObject *Sender);
        void __fastcall VideoGrabber1CopyPreallocDataCompleted(
          TObject *Sender, bool Success);
        void __fastcall VideoGrabber1CopyPreallocDataStarted(
          TObject *Sender);
        void __fastcall VideoGrabber1CreatePreallocFileCompleted(
          TObject *Sender, bool Success);
        void __fastcall VideoGrabber1CreatePreallocFileStarted(
          TObject *Sender);
        void __fastcall VideoGrabber1DeviceLost(TObject *Sender);
        void __fastcall VideoGrabber1DirectX8Required(TObject *Sender);
        void __fastcall VideoGrabber1DiskFull(TObject *Sender);
        void __fastcall VideoGrabber1ErrorLog(TObject *Sender,
          int ErrorCode, AnsiString ErrorMsg);
        void __fastcall VideoGrabber1NewDeviceList(TObject *Sender);
        void __fastcall VideoGrabber1PlayerEndOfStream(TObject *Sender);
        void __fastcall VideoGrabber1PlayerFileNotFound(TObject *Sender,
          AnsiString FileName);
        void __fastcall VideoGrabber1PlayerProgress(double SampleTime);
        void __fastcall VideoGrabber1PlayerStarted(TObject *Sender);
        void __fastcall VideoGrabber1PreviewStarted(TObject *Sender);
        void __fastcall VideoGrabber1RecompressCompleted(TObject *Sender,
          bool Success);
        void __fastcall VideoGrabber1RecompressStarted(TObject *Sender);
        void __fastcall VideoGrabber1FrameCaptureCompleted(TObject *Sender,
          Pointer MemoryBitmap, TFrameCaptureDest DestType,
          AnsiString FileName, bool Success);
        void __fastcall Button15Click(TObject *Sender);
        void __fastcall Button14Click(TObject *Sender);
        void __fastcall AutoPlayClip1Click(TObject *Sender);
        void __fastcall CheckBox3Click(TObject *Sender);
        void __fastcall CheckBox2Click(TObject *Sender);
        void __fastcall Button8Click(TObject *Sender);
        void __fastcall Button9Click(TObject *Sender);
        void __fastcall FrameGrabberEnabled1Click(TObject *Sender);
        void __fastcall FrameGrabberOnCaptureStream1Click(TObject *Sender);
        void __fastcall Button16Click(TObject *Sender);
        void __fastcall VideoGrabber1DeviceArrival(TObject *Sender);
        void __fastcall VideoGrabber1DeviceRemoval(TObject *Sender);
        void __fastcall VideoGrabber1TimeCodeReader(TObject *Sender,
          int TrackNum, int hh, int mm, int ss, int ff);
        void __fastcall UpDown2Click(TObject *Sender, TUDBtnType Button);
        void __fastcall CheckBox4Click(TObject *Sender);
        void __fastcall ComboBox7Change(TObject *Sender);
        void __fastcall ComboBox8Change(TObject *Sender);
        void __fastcall RefreshPreviewOnParamChange1Click(TObject *Sender);
        void __fastcall CheckBox5Click(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
private:
        void __fastcall EnableDisableOptions (void);
public:
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
